# $Revision: 1.33 $, $Date: 2007/02/08 16:10:17 $
Summary:	Nagios remote plugin execution service/plugin
Summary(pl):	Demon i wtyczka zdalnego wywoywania wtyczek Nagios
Name:		nagios-nrpe
Version:	2.6
Release:	2
License:	GPL v2
Group:		Networking
Source0:	http://dl.sourceforge.net/nagios/nrpe-%{version}.tar.gz
# Source0-md5:	5df3fae4682fa6b8b393568fd9f3c88d
Source1:	nrpe.init
Patch0:		%{name}-config.patch
URL:		http://www.nagios.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-tools
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	nagios-common
Requires:	rc-scripts
Provides:	nagios-core
Obsoletes:	netsaint-nrpe
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_datadir	%{_prefix}/share/%{name}
%define		_plugindir	%{_libdir}/nagios/plugins
%define		_libexecdir	%{_plugindir}
%define		_localstatedir	%{_var}/log/nagios
%define		nsport		5666

%description
NRPE is an addon for Nagios that allows you to execute "local" plugins
(like check_disk, check_procs, etc.) on remote hosts. The check_nrpe
plugin is called from Nagios and makes plugin execution requests to
the NRPE daemon running on the remote host (either as a standalone
daemon or as a service under inetd). Supports passing command
arguments to server, as well as native SSL/TLS encryption (anonymous
DH mode).

%description -l pl
NRPE to dodatek do Nagiosa pozwalajcy na wywoywanie "lokalnych"
wtyczek (takich jak check_disk, check_procs itp.) na zdalnych
maszynach. Wtyczka check_nrpe jest wywoywana z poziomu Nagiosa i
wysya dania uruchomienia wtyczek do demona NRPE dziaajcego na
zdalnej maszynie (jako samodzielny demon lub usuga inetd). Obsuguje
przekazywanie argumentw polece do serwera, a take natywne
szyfrowanie SSL/TLS (w trybie anonimowego DH).

%package plugin
Summary:	check_nrpe plugin for Nagios
Summary(pl):	Wtyczka check_nrpe dla Nagiosa
Group:		Networking
Requires:	nagios-core

%description plugin
check_nrpe plugin for Nagios. This plugin allows running plugins on
remote machines using nrpe service.

%description plugin -l pl
Wtyczka check_nrpe dla Nagiosa. Pozwala na zdalne uruchamianie wtyczek
na innych komputerach za pomoc demona nrpe.

%prep
%setup -q -n nrpe-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}

%configure \
	--with-init-dir=/etc/rc.d/init.d \
	--with-nrpe-port=%{nsport} \
	--with-nrpe-user=nagios \
	--with-nrpe-grp=nagios \
	--enable-ssl \
	--enable-command-args

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir},%{_libdir}/nagios/plugins,%{_sbindir}} \
	$RPM_BUILD_ROOT{%{_localstatedir},/var/run/nrpe}

install sample-config/nrpe.cfg $RPM_BUILD_ROOT%{_sysconfdir}/nrpe.cfg
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nrpe
install src/nrpe $RPM_BUILD_ROOT%{_sbindir}
install src/check_nrpe $RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nrpe
%service nrpe restart

%preun
if [ "$1" = "0" ] ; then
	%service nrpe stop
	/sbin/chkconfig --del nrpe
fi

%triggerpostun -- %{name} < 2.6-1.1
%{__sed} -i -e 's,/var/run/nrpe.pid,/var/run/nrpe/nrpe.pid,' %{_sysconfdir}/nrpe.cfg

%files
%defattr(644,root,root,755)
%doc Changelog LEGAL README* SECURITY
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nrpe.cfg
%attr(755,root,root) %{_sbindir}/nrpe
%attr(754,root,root) /etc/rc.d/init.d/nrpe
%dir %attr(775,root,nagios) /var/run/nrpe

%files plugin
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-nrpe.spec,v $
Revision 1.33  2007/02/08 16:10:17  glen
- write pidfile to dir writable by nrpe process; rel 2

Revision 1.32  2006/12/20 00:30:22  glen
- 2.6

Revision 1.31  2006/07/20 16:37:19  qboosh
- updated pl

Revision 1.30  2006/07/20 15:30:13  glen
- add todo

Revision 1.29  2006/07/07 14:59:12  glen
- doesn't require any concrete plugin

Revision 1.28  2006/07/07 13:33:27  glen
- 2.5.2, extended description

Revision 1.27  2006/05/21 19:38:47  qboosh
- adapter

Revision 1.26  2006/05/21 19:24:40  glen
- 2.5.1

Revision 1.25  2006/05/21 19:22:26  glen
- disable samples from default config; rel 2

Revision 1.24  2006/04/20 16:41:12  glen
- fix chkconfig deps

Revision 1.23  2006/03/05 15:20:15  glen
- use %service, adapterized, cosmetics

Revision 1.22  2006/02/28 08:24:51  jajcus
- Version: 2.4
- compiled "--enable-command-args" for greater flexibility. This feature, when
  abused, may be a security risk, but is disabled in the config file by
  default.

Revision 1.21  2005/11/05 04:19:10  qboosh
- define libexecdir (passed to configure) instead of second --libexecdir

Revision 1.20  2005/11/05 02:07:01  glen
- don't own plugins dir
- cleanup %configure
- adapterized
- rel 5

Revision 1.19  2005/08/09 13:43:04  havner
- rel 4 for fixed init file

Revision 1.18  2005/08/09 11:38:06  glen
- remove unneeded deps

Revision 1.17  2005/08/09 10:55:50  havner
- rel 3 works for me

Revision 1.16  2005/05/08 19:21:31  glen
- requires nagios-common for base dirs and uid/gid

Revision 1.15  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.14  2005/04/09 18:09:34  glen
- TODO

Revision 1.13  2005/04/09 17:56:15  glen
- silence error from netsaint uid check

Revision 1.12  2005/04/08 10:53:50  patrys
- nrpe is enough to run the plugins, nagios itself is not required

Revision 1.11  2005/01/19 13:20:47  averne
- BR: openssl-tools

Revision 1.10  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.9  2004/08/25 23:32:57  ankry
- fix initscript name

Revision 1.8  2004/08/25 14:36:18  ankry
- missing user homedir, better upgrade of netsaint-nrpe support, rel. 2

Revision 1.7  2004/08/17 22:45:43  ankry
- added proper BR: rpmbuild(macros)

Revision 1.6  2004/08/17 21:34:34  ankry
- use user/group macros

Revision 1.5  2004/06/19 18:08:22  qboosh
- Obsoletes: netsaint-nrpe

Revision 1.4  2004/06/09 14:05:59  ankry
- md5, some build fixes, spaces -> tabs

Revision 1.3  2004/06/03 16:55:16  qboosh
- fixed Name

Revision 1.2  2004/06/02 13:44:16  patrys
- description updated

Revision 1.1  2004/06/02 12:56:28  patrys
- Initial PLD release
